#!/bin/bash

. ./vivoFunctions.fn
. ./voeFunctions.fn
. ./streamtapeFunctions.fn


vivo_url=$( upload_to_vivo "<api_key>" "./BigBuckBunny_512kb.mp4" )
voe_url=$( upload_to_voe "<api_key>" "./BigBuckBunny_512kb.mp4" )
streamtape_url=$( upload_to_streamtape "<api_key>" "<api_key2>" "./BigBuckBunny_512kb.mp4" )

echo -e "Vivo:\t$vivo_url\n"
echo -e "Voe:\t$voe_url\n"
echo -e "Streamtape:\t$streamtape_url\n"

vivo_check_if_file_is_alive $vivo_url

voe_check_if_file_is_alive "<api_key>" $voe_url

streamtape_check_if_file_is_alive $streamtape_url
